"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const change_component_1 = require("../../component-template-inject/change-component");
function default_1(data, map) {
    return __awaiter(this, void 0, void 0, function* () {
        const callback = this.async();
        const changeData = (0, change_component_1.changeComponent)(data);
        if (typeof data === 'undefined' || typeof changeData === 'undefined') {
            callback(undefined, data, map);
            return;
        }
        callback(undefined, changeData.content);
    });
}
exports.default = default_1;
