"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setCompilationAsset = void 0;
function setCompilationAsset(compilation, key, content) {
    if (compilation.getAsset(key)) {
        compilation.updateAsset(key, content, {});
    }
    else {
        compilation.emitAsset(key, content, {});
    }
}
exports.setCompilationAsset = setCompilationAsset;
