"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ComponentCompilerService = void 0;
const static_injector_1 = require("static-injector");
const component_token_1 = require("../token/component.token");
const parse_node_1 = require("./parse-node");
const i0 = __importStar(require("static-injector"));
const i1 = __importStar(require("../platform/platform"));
const i2 = __importStar(require("./parse-node"));
class ComponentCompilerService {
    constructor(buildPlatform, 
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    componentMeta, componentContext) {
        this.buildPlatform = buildPlatform;
        this.componentMeta = componentMeta;
        this.componentContext = componentContext;
    }
    collectionNode() {
        const nodes = this.componentMeta.template.nodes;
        const templateDefinition = new parse_node_1.TemplateDefinition(nodes, this.componentContext);
        const list = templateDefinition.run();
        return list.map((item) => item.getNodeMeta());
    }
    compile() {
        const nodeList = this.collectionNode();
        const result = this.buildPlatform.templateTransform.compile(nodeList);
        return result;
    }
}
exports.ComponentCompilerService = ComponentCompilerService;
ComponentCompilerService.ɵfac = function ComponentCompilerService_Factory(t) { return new (t || ComponentCompilerService)(i0.ɵɵinject(i1.BuildPlatform), i0.ɵɵinject(component_token_1.COMPONENT_META), i0.ɵɵinject(i2.ComponentContext)); };
ComponentCompilerService.ɵprov = /*@__PURE__*/ i0.ɵɵdefineInjectable({ token: ComponentCompilerService, factory: ComponentCompilerService.ɵfac });
