import * as i0 from "@angular/core";
import * as i1 from "./directives/ng_class";
import * as i2 from "./directives/ng_for_of";
import * as i3 from "./directives/ng_if";
import * as i4 from "./directives/ng_template_outlet";
import * as i5 from "./directives/ng_style";
import * as i6 from "./directives/ng_switch";
import * as i7 from "./directives/ng_plural";
import * as i8 from "./pipes/async_pipe";
import * as i9 from "./pipes/case_conversion_pipes";
import * as i10 from "./pipes/json_pipe";
import * as i11 from "./pipes/slice_pipe";
import * as i12 from "./pipes/number_pipe";
import * as i13 from "./pipes/date_pipe";
import * as i14 from "./pipes/keyvalue_pipe";
/**
 * Exports all the basic Angular directives and pipes,
 * such as `NgIf`, `NgForOf`, `DecimalPipe`, and so on.
 * Re-exported by `BrowserModule`, which is included automatically in the root
 * `AppModule` when you create a new app with the CLI `new` command.
 *
 * @publicApi
 */
export declare class CommonModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<CommonModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<CommonModule, never, [typeof i1.NgClass, typeof i2.NgForOf, typeof i3.NgIf, typeof i4.NgTemplateOutlet, typeof i5.NgStyle, typeof i6.NgSwitch, typeof i6.NgSwitchCase, typeof i6.NgSwitchDefault, typeof i7.NgPlural, typeof i7.NgPluralCase, typeof i8.AsyncPipe, typeof i9.UpperCasePipe, typeof i9.LowerCasePipe, typeof i10.JsonPipe, typeof i11.SlicePipe, typeof i12.DecimalPipe, typeof i12.PercentPipe, typeof i9.TitleCasePipe, typeof i12.CurrencyPipe, typeof i13.DatePipe, typeof i14.KeyValuePipe], [typeof i1.NgClass, typeof i2.NgForOf, typeof i3.NgIf, typeof i4.NgTemplateOutlet, typeof i5.NgStyle, typeof i6.NgSwitch, typeof i6.NgSwitchCase, typeof i6.NgSwitchDefault, typeof i7.NgPlural, typeof i7.NgPluralCase, typeof i8.AsyncPipe, typeof i9.UpperCasePipe, typeof i9.LowerCasePipe, typeof i10.JsonPipe, typeof i11.SlicePipe, typeof i12.DecimalPipe, typeof i12.PercentPipe, typeof i9.TitleCasePipe, typeof i12.CurrencyPipe, typeof i13.DatePipe, typeof i14.KeyValuePipe]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<CommonModule>;
}


