"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const miniProgram = function (baseBrowserDecorator, config) {
    baseBrowserDecorator(this);
    const self = this;
    this.name = 'miniprogram';
    this._start = function (url) { };
    this.on('kill', function (done) {
        self.emit('done');
        process.nextTick(done);
    });
};
miniProgram.$inject = ['baseBrowserDecorator', 'config.jsdomLauncher'];
exports.default = {
    'launcher:miniprogram': ['type', miniProgram],
};
//# sourceMappingURL=launcher.js.map